LibreOffice LibreOffice 25.2 SDK API Reference

Included Services | List of all members
DataFilter Service Reference

A filter gets some data and provides some data. More...

`import"DataFilter.idl";`

Inheritance diagram for DataFilter:

## Included Services
service | DataSink
| A DataFilter is a DataSink, because you can set some data at a DataFilter. More...
service | DataSource
| A DataFilter is a DataSource, because you can get some data from a DataFilter. More...

## Additional Inherited Members
Exported Interfaces inherited from DataSink
interface | XDataSink
| allows the write-access of the actual data. More...
Exported Interfaces inherited from DataSource
interface | XDataSource
| allows the read-access of the actual data. More...
Public Member Functions inherited from XDataSink
void | setData ([in] sequence< XLabeledDataSequence > aData)
| sets new data sequences. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XDataSource
sequence< XLabeledDataSequence > | getDataSequences ()
| returns data sequences. More...

## Detailed Description

A filter gets some data and provides some data.

The received data is typically (but not necessarily) different from the data that can be retrieved by a filter.

## Exported Interfaces

## ◆ DataSink

service DataSink

A DataFilter is a DataSink, because you can set some data at a DataFilter.

## ◆ DataSource

service DataSource

A DataFilter is a DataSource, because you can get some data from a DataFilter.

The documentation for this service was generated from the following file:

- com/sun/star/chart2/data/DataFilter.idl